Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class ViewEditorPane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--ru.biosoft.graphics.editor.ViewPane
                                    |
                                    +--ru.biosoft.graphics.editor.ViewEditorPane

public class ViewEditorPane
extends ViewPane
implements KeyListener, Transactable, TransactionListener

These a genearal class to edit any CompositeView. To provide specific changes in data model it uses some instance of ViewEditorHelper.

Inner classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`final static int` | `TOOLBAR_BUTTON_SIZE`

Fields inherited from class javax.swing.JComponent
`WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`ViewEditorPane(ViewEditorHelper helper)`

Method Summary
`synchronized void` | `add(Object obj, Point point)` Adds new diagram element to the specified location (left, top) to the diagram.
`boolean` | `addEdit(UndoableEdit ue)`
`void` | `addTransactionListener(TransactionListener listener)`
`synchronized void` | `changeSize(Dimension offset, Dimension size)` Change size for the selected (one) entity.
`void` | `completeTransaction()`
`boolean` | `getSelectionEnabled()`
`boolean` | `isFocusTraversable()`
`boolean` | `isInsertMode()`
`void` | `keyPressed(KeyEvent e)`
`void` | `keyReleased(KeyEvent e)`
`void` | `keyTyped(KeyEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`synchronized void` | `move(Dimension offset)` Move all selected entities to the specified offset
`synchronized void` | `remove()` Remove all selected entities.
`void` | `removeTransactionListener(TransactionListener listener)`
`void` | `resetInsertMode()`
`void` | `setSelectionEnabled(boolean selectionEnabled)`
`void` | `startTransaction(String name)`
`void` | `startTransaction(TransactionEvent te)`

Methods inherited from class ru.biosoft.graphics.editor.ViewPane
`addMouseListener, addMouseMotionListener, addViewPaneListener, getContent, getScaleX, getScaleY, getSelectionManager, getView, getView, makeOffset, mouseClicked, mouseEntered, mouseExited, removeMouseListener, removeMouseMotionListener, removeViewPaneListener, repaint, resetScrollBars, scale, setBackground, setSelectionManager, setSizeAllign, setToScale, setView, setView, updateScrollBars`

Methods inherited from class javax.swing.JPanel
`updateUI, getUIClassID, getAccessibleContext`

Methods inherited from class javax.swing.JComponent
`update, paint, printAll, print, isPaintingTile, isFocusCycleRoot, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, isMinimumSizeSet, isPreferredSizeSet, isMaximumSizeSet, contains, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, requestDefaultFocus, setVisible, hide, setEnabled, setForeground, setFont, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, enable, disable, getClientProperty, putClientProperty, isLightweightComponent, reshape, getBounds, getSize, getLocation, getX, getY, getWidth, getHeight, hasFocus, isOpaque, setOpaque, computeVisibleRect, getVisibleRect, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener, addVetoableChangeListener, removeVetoableChangeListener, getTopLevelAncestor, addAncestorListener, removeAncestorListener, getListeners, addNotify, removeNotify, repaint, repaint, revalidate, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, preferredSize, minimumSize, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, enable, enableInputMethods, show, show, getForeground, getBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, isLightweight, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, transferFocus, nextFocus, add, remove, toString, list, list, list, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### TOOLBAR_BUTTON_SIZE

    public final static int TOOLBAR_BUTTON_SIZE

Constructor Detail

### ViewEditorPane

    public ViewEditorPane(ViewEditorHelper helper)

Method Detail

### add

    public synchronized void add(Object obj, Point point)

  Adds new diagram element to the specified location (left, top) to the diagram.

### addEdit

    public boolean addEdit(UndoableEdit ue)

### addTransactionListener

    public void addTransactionListener(TransactionListener listener)

### changeSize

    public synchronized void changeSize(Dimension offset, Dimension size)

  Change size for the selected (one) entity.

### completeTransaction

    public void completeTransaction()

### getSelectionEnabled

    public boolean getSelectionEnabled()

### isFocusTraversable

    public boolean isFocusTraversable()

### isInsertMode

    public boolean isInsertMode()

### keyPressed

    public void keyPressed(KeyEvent e)

### keyReleased

    public void keyReleased(KeyEvent e)

### keyTyped

    public void keyTyped(KeyEvent e)

### mouseDragged

    public void mouseDragged(MouseEvent e)

### mouseMoved

    public void mouseMoved(MouseEvent e)

### mousePressed

    public void mousePressed(MouseEvent e)

### mouseReleased

    public void mouseReleased(MouseEvent e)

### move

    public synchronized void move(Dimension offset)

  Move all selected entities to the specified offset

### remove

    public synchronized void remove()

  Remove all selected entities.

### removeTransactionListener

    public void removeTransactionListener(TransactionListener listener)

### resetInsertMode

    public void resetInsertMode()

### setSelectionEnabled

    public void setSelectionEnabled(boolean selectionEnabled)

### startTransaction

    public void startTransaction(String name)

### startTransaction

    public void startTransaction(TransactionEvent te)

Association Links

to Class ru.biosoft.graphics.editor.ViewEditorHelper

to Class java.awt.event.ActionListener

to Class java.lang.Class

to Class javax.swing.ButtonGroup

to Class javax.swing.JToggleButton

to Class javax.swing.JToolBar

to Class java.awt.Rectangle

to Class java.awt.Point

to Class java.awt.Point

to Class ru.biosoft.graphics.CompositeView

to Class ru.biosoft.graphics.View

to Class javax.swing.event.EventListenerList

to Class ru.biosoft.graphics.editor.ViewEditorPane.SelectionUndo

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM